haskell-configfile (1.1.4-10) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2
  * Update homepage (Closes: #982077)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 09 Aug 2022 16:30:48 +0300

haskell-configfile (1.1.4-9) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 19:21:45 -0400

haskell-configfile (1.1.4-8) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:11 +0300

haskell-configfile (1.1.4-7) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:23 +0300

haskell-configfile (1.1.4-6) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:04:39 +0300

haskell-configfile (1.1.4-5) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:44 -0400

haskell-configfile (1.1.4-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:58 -0400

haskell-configfile (1.1.4-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 14:01:48 -0400

haskell-configfile (1.1.4-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:14 -0500

haskell-configfile (1.1.4-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:14 +0200

haskell-configfile (1.1.2-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:21 +0200

haskell-configfile (1.1.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:32 +0200

haskell-configfile (1.1.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:56 +0100

haskell-configfile (1.1.2-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 22:20:23 +0200

haskell-configfile (1.1.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:05 +0200

haskell-configfile (1.1.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:12 +0200

haskell-configfile (1.1.1-2) experimental; urgency=low

  * Change Vcs headers to Darcs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:48:44 +0100

haskell-configfile (1.1.1-1) experimental; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Thu, 08 Nov 2012 03:20:30 +0000

haskell-configfile (1.0.6-4) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Build without haskell98.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:32:46 -0400

haskell-configfile (1.0.6-3) unstable; urgency=low

  * s/ghc6/ghc/

 -- Joachim Breitner <nomeata@debian.org>  Wed, 20 Apr 2011 22:07:32 +0530

haskell-configfile (1.0.6-2) unstable; urgency=low

  * debian/control:
    + Clean up Build-Depends and bump some minimum versions
    + Slightly rewrite short and long descriptions to be more consistent with
      other Debian Haskell Group policies
    + Rename documentation package
    + Add profiling package
    + Remove redundant duplicated Section lines
    + Add haskell substvars
    + Priority → extra due to transitive dep on libffi (in common with other
      Haskell libraries)
    + Standards-Version 3.9.0, use Breaks/Replaces to rename doc package
  * debian/compat: Set to 7
  * debian/source/format: Create with 1.0. Thanks to Lintian.
  * debian/watch: Create

 -- Iain Lane <laney@ubuntu.com>  Sat, 03 Jul 2010 10:59:50 +0100

haskell-configfile (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 09:36:18 -0600

haskell-configfile (1.0.5-3) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
    (Closes: 556827)
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5

  [ Joachim Breitner ]
  * Add ${shlibs:Depends}

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 18:59:35 +0100

haskell-configfile (1.0.5-2) unstable; urgency=low

  * Switch to Haskell team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 28 Aug 2009 14:29:42 -0500

haskell-configfile (1.0.5-1) unstable; urgency=low

  * Updates for GHC 6.10.  Closes: #520307.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 06 Apr 2009 10:32:33 -0500

haskell-configfile (1.0.4.6) unstable; urgency=high

  * Rebuild for newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:56:02 -0600

haskell-configfile (1.0.4.5) unstable; urgency=low

  * Rebuild with newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 09:12:20 -0600

haskell-configfile (1.0.4.4) unstable; urgency=low

  * Use dh_haskell_depends.  Closes: #506206.
  * Rebuild against MissingH 1.0.3.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Nov 2008 05:12:26 -0600

haskell-configfile (1.0.4.3) unstable; urgency=low

  * Rebuilt with newer MissingH.  Closes: #504528.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 18 Nov 2008 03:33:12 -0600

haskell-configfile (1.0.4.2) unstable; urgency=low

  * Rebuild for new MissingH.  Closes: #477702.
  * Add Homepage, VCS-* lines to control.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Apr 2008 11:31:50 -0500

haskell-configfile (1.0.4.1) unstable; urgency=low

  * Rebuild with newer regex libs.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Feb 2008 04:04:46 -0600

haskell-configfile (1.0.4.0) unstable; urgency=low

  * Updates for GHC 6.8.x compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 02:36:03 -0600

haskell-configfile (1.0.3) unstable; urgency=medium

  * Rebuild with newer MissingH.  Closes: #429486, #429500.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 00:55:49 -0500

haskell-configfile (1.0.2) unstable; urgency=low

  * Update hugs deps.  Closes: #419438.
  * Rebuild for newer GHC.  Closes: #429020.
  * Drop Hugs support due to lack of regex support in Hugs.
    See #422170.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 04:56:25 -0500

haskell-configfile (1.0.1) unstable; urgency=low

  * Rebuild against newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Mar 2007 14:22:03 -0600

haskell-configfile (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #402080.
    This package was split off of MissingH as part of the MissingH
    transition plan.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 18:58:38 -0600

missingh (0.18.0) unstable; urgency=low

  * Major API changes in this release; several large modules being
    split off into separate packages.  See
    http://software.complete.org/missingh/wiki/TransitionPlanning
    for details.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:13:58 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600

missingh (0.16.2) unstable; urgency=low

  * Documented Quantity.hs
  * Fixed missing libghc6-*-dev deps from GHC 6.6.  Closes: #394580.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 19:51:08 -0500

missingh (0.16.1) unstable; urgency=low

  * Fix up dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:24:04 -0500

missingh (0.16.0) unstable; urgency=low

  * NEW: MissingH.Quantity that is used to render numbers as binary
    units (MB, KB, etc) or SI units, or other similar units
  * NEW: MissingH.ProgressTracker that is used to track the progress
    of long-running tasks, measure their speed, and give estimated
    completion times
  * Update to support GHC 6.6
    + Remove FiniteMap support everywhere (no longer supported in GHC)
    + Remove MissingH.Printf (has been deprecated since 0.13.0 due to
      Text.Printf)
    + Update README
    + Fix MissingH.FTP.Server for GHC 6.6.0 compatibility
    + Update cabal file for GHC 6.6 compatibility
  * Patch from Jeremy Shaw to add to MissingH.HUnit the ability to turn
    QuickCheck tests into HUnit tests
  * Patch from Joe Edmonds to MissingH.Wash.Mail.MailParser to
    accept a slight violation of RFC2822 in which date headers may have
    a single-digit date
  * Fix a logic error in MemoryBuffer's vPutStr that could corrupt
    data when a write occurs after a seek, and wrote a test to
    detect this condition.  Thanks to Bulat Ziganshin for finding this.
  * New function in MissingH.List to merge two sorted lists into
    a single sorted whole.  Patch from Clifford Beshers.
  * Work around lack of signals on Windows in MissingH.Cmd.
  * Make sure Data.Bits is imported in MissingH.IO.StatCompat.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 04:38:10 -0500

missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.
  * MissingH.IO.HVIO: No longer return EOFError when vGetContents called
    at EOF, for compatibility with hGetContents.  Reported by
    Bulat Ziganshin.
  * MissingH.IO.HVFS.Utils: Applied suggestion from Bulat
    to make recursiveRemove cleaner.
  * MissingH.IO.HVIO: Minor bugfixes suggested by Bulat.
  * Updated, fixed typos, and enhanced various docs.
  * testsrc/Listtest: Added unit tests for spanList
  * MissingH.List: Replaced implementation of spanList with one
    suggested by Bulat.
  * Added ghc6 (>= 6.4.1) to Debian build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Mar 2006 12:26:03 -0600

missingh (0.13.0) unstable; urgency=low

  * This release introduces some API changes that will affect
    a small percentage of programmers that use ConfigParser.
  * This release requires GHC 6.4.x or Hugs 2005xx or above.
    This has been noted in INSTALL.
  * MissingH.List: Committed some patches from Bulat Ziganshin
    to improve performance.
  * New function MissingH.List.subIndex based on suggestion
    from Bulat Ziganshin.  Also added tests for it.
  * New module MissingH.Map, similar to MissingH.FiniteMap but for
    Data.Map instead of Data.FiniteMap.  Also added tests for
    MissingH.Map.
  * New module MissingH.AnyDBM.MapDBM, plus tests for it.
    Converted from MissingH.AnyDBM.FiniteMapDBM.
  * Converted these modules to use MVars instead of IORefs:
    + MissingH.Logging.Logger
  * Converted these modules to use Data.Map instead of Data.FiniteMap:
    + MissingH.Logging.Logger
    + MissingH.MIMETypes
    + MissingH.ConfigParser (exposes an API change to a few people)
  * Converted these modules to use Text.Printf instead of MissingH.Printf:
    + MissingH.IO.HVFS.Utils
    + MissingH.Network.FTP.Server
  * Added deprecation warnings to these modules:
    + MissingH.FiniteMap (deprecation of Data.FiniteMap)
    + MissingH.AnyDBM.FiniteMapDBM (deprecation of Data.FiniteMap)
    + MissingH.Printf (introduction of Text.Printf)
  * Added deprecation warnings for two specific functions in
    MissingH.Str: subRe and splitRe.  I had submitted the code for
    these to fptools, and the current releases of GHC and Hugs have
    Text.Regex.subRegex and splitRegex using the code for MissingH.
    Therefore, these functions in MissingH are deprecated in favor of
    the implementations in the standard library.
  * Added locking to StringDBM for thread safety improvements
  * Merry Christmas!

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Dec 2005 15:24:13 -0600

missingh (0.12.3) unstable; urgency=low

  * Make StreamHandler now lock by default.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 25 Dec 2005 22:33:16 -0600

missingh (0.12.2) unstable; urgency=low

  * Made generic unit tests available.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Dec 2005 05:03:10 -0600

missingh (0.12.1) unstable; urgency=low

  * Update for GHC 6.4.1.
  * Updated standards-version.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 16 Oct 2005 23:31:43 -0500

missingh (0.12.0) unstable; urgency=low

  * Added simplegrap.hs example
  * New module: MissingH.Daemon, to support detaching from a
    controlling terminal
  * Fixes to make docs work with Haddock 0.7
  * New function in MissingH.Maybe: forceMaybeMsg
  * HVIO and HVFS now provide abstractions for binary I/O
  * MissingH.IO.Binary now uses HVIO/HVFS abstractions instead of being
    tied to Handles
  * MissingH.IO.Binary can now work with Strings or [Word8], instead of
    just Strings.
  * MissingH.IO.Binary.hBlockCopy optimized to require no conversion
    of the buffer.
  * Updated MissingH.IO.BlockIO to upstream version 2005-02-14
  * Updated MissingH.Threads.Child and Timeout to upstream version 2005-02-14

 -- John Goerzen <jgoerzen@complete.org>  Mon, 10 Oct 2005 05:50:02 -0500

missingh (0.11.5) unstable; urgency=low

  * Added lazyMapM to MissingH.IO

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Aug 2005 22:03:31 -0500

missingh (0.11.4) unstable; urgency=low

  * Added bracketCWD, brackettmpdirCWD to MissingH.Path
  * Made MissingH.Path.recurseDir* lazy

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Aug 2005 05:52:15 -0500

missingh (0.11.3) unstable; urgency=low

  * Now added support for use on Windows.
  * New modules: StatCompat, WindowsCompat, FilePath, PlafCompat,
    PosixConsts.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Jul 2005 05:27:03 -0500

missingh (0.11.2) unstable; urgency=low

  * Back out hide-package option in Makefile.  Closes: #309319.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 May 2005 06:13:10 -0500

missingh (0.11.1) unstable; urgency=low

  * Added mtl to build-depends; Control.Monad.Error was moved
    there for GHC 6.4.  Closes: #309245.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 15 May 2005 18:44:44 -0500

missingh (0.11.0) unstable; urgency=low

  * First release with full support for GHC 6.4.
  * Changed name of HUnit imports in unit tests to follow GHC 6.4 conventions.
  * Fixed unit tests for GHC 6.4 compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 May 2005 06:47:06 -0500

missingh (0.10.10) unstable; urgency=low

  * The "this time it really compiles with GHC 6.4 and I mean it" release.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 May 2005 07:23:03 -0500

missingh (0.10.9) unstable; urgency=low

  * GHC 6.4 compatibility: imported new Hsemail, 2005-04-29, from Peter
    Simons.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 May 2005 06:07:41 -0500

missingh (0.10.8) unstable; urgency=low

  * Added more error-checking to ParseDate.
  * Returned Hugs code to normal sid version.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 27 Apr 2005 07:25:54 -0500

missingh (0.10.7.sarge.2) unstable; urgency=high

  * Fixed build-depends-indep from 0.10.7.sarge.1.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Apr 2005 21:37:42 -0500

missingh (0.10.7.sarge.1) unstable; urgency=high

  * Back out hugs code so we can get it into sarge and fix a FTBFS in sarge.
    Closes: #305901.
  * After this propogates to sarge, I will upload 0.10.8 to sid that will
    restore the updates to work with the hugs in sid.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Apr 2005 20:41:48 -0500

missingh (0.10.7) unstable; urgency=low

  * Fixed MissingH.Debian.ControlParser to ignore PGP sigs.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 20:39:58 -0500

missingh (0.10.6) unstable; urgency=low

  * New module: MissingH.GetOpt.
  * New AL utilities in MissingH.List.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 14:01:52 -0500

missingh (0.10.5) unstable; urgency=low

  * Yet more features in MissingH.Cmd.  This time, added hPipe*.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 16:37:50 -0500

missingh (0.10.4) unstable; urgency=low

  * Reworking and bugfixing of the new pipe functions in MissingH.Cmd.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 10:09:24 -0500

missingh (0.10.3) unstable; urgency=low

  * Added new pipe functions to MissingH.Cmd.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 00:06:52 -0500

missingh (0.10.2) unstable; urgency=low

  * Minor fix to logging in MissingH.Cmd.
  * Documentation example fixes.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 16 Apr 2005 22:13:38 -0500

missingh (0.10.1) unstable; urgency=low

  * Imported Bjorn Bringert's ParseDate.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Apr 2005 07:14:33 -0500

missingh (0.10.0) unstable; urgency=low

  * Compatibility with new Hugs and GHC releases.
  * New modules: MissingH.Debian, MissingH.Debian.ControlParser,
    MissingH.Str.CSV, MissingH.Maybe
  * New MissingH.List functions: wholeMap, fixedWidth
  * New function: MissingH.Time.epochToClockTime
  * Updated HVFS utilities to use epochToClockTime for compatibility
    with the newer Hugs
  * New features in MissingH.IO.Binary: readBinaryFile, writeBinaryFile.
    Make sure tests use these features where appropriate.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Apr 2005 06:33:12 -0500

missingh (0.9.2) unstable; urgency=low

  * New modules: MissingH.Debian, MissingH.Debian.ControlParser
  * Temporary changes to work with new Hugs

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Mar 2005 09:18:10 -0600

missingh (0.9.1) unstable; urgency=low

  * ConfigParser: accept values that are empty

 -- John Goerzen <jgoerzen@complete.org>  Mon, 14 Feb 2005 16:36:27 -0600

missingh (0.9.0) unstable; urgency=low

  * New module: MissingH.AnyDBM.  Integrated support for HashTable and
    FiniteMap.
  * New support for converting arbitrary association lists and
    finite maps two/from string.
  * New module: MissingH.AnyDBM.StringDBM that uses this new support.
  * New module: MissingH.Regex.Pesco
  * Major restructuring and cleaning up of the build system.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  1 Feb 2005 15:22:37 -0600

missingh (0.8.1) unstable; urgency=low

  * Updated to Cabal 0.4.
  * New module: MissingH.Time.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 26 Jan 2005 10:34:22 -0600

missingh (0.8.0) unstable; urgency=low

  * New HVIO, HVFS modules.
  * Expanded MissingH.Path thanks to code from Volker Wysk's
    HsShellScript.
  * Renamed MissingH.Network.FTP.Parser to
    MissingH.Network.FTP.ParserClient.
  * New FTP server modules.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Dec 2004 13:47:04 -0600

missingh (0.7.5) unstable; urgency=low

  * New module: MissingH.Email.Parser.
  * Added recurse directory funtions to MissingH.Path.
  * Added temporary directory functions to MissingH.Path.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  9 Dec 2004 09:10:35 -0600

missingh (0.7.4) unstable; urgency=low

  * Revved hsemail to 2004-11-01.
  * Imported blockio 2004-11-12.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  6 Dec 2004 11:57:20 -0600

missingh (0.7.3) unstable; urgency=low

  * Adding missing ConfigParser.Lexer to Setup.Description.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  5 Dec 2004 14:59:02 -0600

missingh (0.7.2) unstable; urgency=low

  * New modules: MissingH.FileArchive.GZip, MissingH.Checksum.CRC32.GZip,
    MissingH.Checksum.CRC32.Posix, MissingH.Compression.Inflate

 -- John Goerzen <jgoerzen@complete.org>  Sat,  4 Dec 2004 17:25:25 -0600

missingh (0.7.1) unstable; urgency=low

  * Applied some helpful patches from Einar Karttunen.  The main feature
    is turning MissingH.ConfigParser.get into an instance of a class
    so it can be extended to return various types.  Please note:
    if you used getbool() or getnum() in 0.7.0, these functions are now
    gone, since they are no longer needed.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  3 Dec 2004 10:07:44 -0600

missingh (0.7.0) unstable; urgency=low

  * Major new feature: ConfigParser.
  * Rewrote unit tests to use hunit more effectively.
  * Other new modules: MissingH.Either.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Dec 2004 19:37:14 -0600

missingh (0.6.2) unstable; urgency=low

  * New "generic" sprintf functions.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Nov 2004 09:00:03 -0600

missingh (0.6.0) unstable; urgency=low

  * Major new feature: Printf module.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Nov 2004 15:28:29 -0600

missingh (0.5.4) unstable; urgency=low

  * Added build-dep-indep on libhugs-hunit and re-enabled Hugs unit tests.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Oct 2004 08:39:28 -0500

missingh (0.5.3) unstable; urgency=low

  * Don't run Hugs tests for now.  Closes: #278802.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Oct 2004 08:25:21 -0500

missingh (0.5.2) unstable; urgency=low

  * New module: sendmail
  * New popen functions in MissingH.Cmd.
  * Added splitRe, subRe to Str.hs.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Oct 2004 16:38:01 -0500

missingh (0.5.1) unstable; urgency=low

  * Added libghc6-hunit-dev to build-depends.  Closes: #278138.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 22:21:21 -0500

missingh (0.5.0) unstable; urgency=low

  * Lots of new code: FTP, MIME, Wash, Hsemail, etc.
  * Rebuilt for new ghc.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 01:46:35 -0500

missingh (0.4.2) unstable; urgency=low

  * Added MissingH.List.contains
  * Added MissingH.Threads

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Oct 2004 10:02:03 -0500

missingh (0.4.1) unstable; urgency=low

  * Added haskell-src to build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Oct 2004 15:46:57 -0500

missingh (0.4.0) unstable; urgency=low

  * Added logging infrastructure and Syslog handler.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  8 Oct 2004 20:15:52 -0500

missingh (0.2.0) unstable; urgency=low

  * Renamed to more standard names: MissingH.IO, MissingH.List,
    MissingH.Str.

  * Moved binary functions into new module MissingH.IO.Binary.

  * Added unit tests and test cases for List and Str.

  * Moved Debian code to use dh_haskell.

  * Build Hugs package for Debian.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Oct 2004 21:36:47 -0500

missingh (0.1.0) unstable; urgency=low

  * Initial Release.  Closes: #275070.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 16:17:09 -0500
